Update jaunty, karmic, lucid and maverick to landscape-client 1.5.2.1

Bug #594594 reported by Free Ekanayaka on 2010-06-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Undecided
Unassigned
landscape-client (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Landscape Client 1.5.2.1 has been released. We would like to get these changes into Maverick, Lucid, Karmic and Jaunty.

As far as released version of Ubuntu are concerned, the required pieces of information for the needed SRU follow (as laid out in the "Procedure" section of https://wiki.ubuntu.com/StableReleaseUpdates).

=== Statement explaining the impact ===

This release sports both bug-fixes and new features and we would like to make sure all of our supported customers (even those on Jaunty, Karmic and Lucid) have access to these improvements. The notable ones are:

1) A new network-sysinfo plugin shows the IP address for all active network interfaces when the sysinfo system runs.

2) The reboot-required plugin now also reports information about which packages requested the reboot.

3) A new network-activity plugin collects information about network traffic.

4) The various Landscape client processes now communicate with each other over Unix sockets using the Twisted AMP library, instead of the former DBus-based mechanism.

For more details see Bug #272344, Bug #538253, Bug #574810, Bug #284662, Bug #596062 and Bug #597000 (all mentioned in the debian/changelog of the proposed packages).

=== How the bug has been addressed ===

We have been following the development procedure laid out in https://wiki.ubuntu.com/LandscapeUpdates

=== Patches ===

The three branches for the new landscape-client jaunty, karmic and lucid source packages are attached to this bug, and were derived from

lp:ubuntu/jaunty-updates/landscape-client
lp:ubuntu/karmic-updates/landscape-client
lp:ubuntu/lucid/landscape-client

respectively.

=== Detailed instructions how to reproduce the bug ===

N/A

=== Discussion ===

All the source packages have been subject to the QA process detailed in
the LandscapeUpdates document linked above.
 (all mentioned in the debian/changelog of the proposed
packages).

=== How the bug has been addressed ===

We have been following the development procedure laid out in https://wiki.ubuntu.com/LandscapeUpdates

description: updated
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2-0ubuntu0.10.10.0

---------------
landscape-client (1.5.2-0ubuntu0.10.10.0) maverick; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 19:58:10 +0200

Changed in landscape-client (Ubuntu Maverick):
status: New → Fix Released
John Dong (jdong) wrote :

Thanks for the detailed writeup. ACK from SRU team

summary: - Update jaunty, karmic, lucid and maverick to landscape-client 1.5.2
+ Update jaunty, karmic, lucid and maverick to landscape-client 1.5.2.1
description: updated
description: updated

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Free Ekanayaka (free.ekanayaka) wrote :

The packages in lucid-proposed, karmic-proposed and jaunty-proposed have been tested and look good. Please migrate them to -updates. Thanks!

Martin Pitt (pitti) on 2010-07-28
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.10.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.

landscape-client (1.5.0.1-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers